Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.extensions
Class XSSFCellAlignment

    java.lang.Object
      org.apache.poi.xssf.usermodel.extensions.XSSFCellAlignment

    public class XSSFCellAlignment

extends java.lang.Object

Cell settings avaiable in the Format/Alignment tab

Constructor Summary
`XSSFCellAlignment(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment cellAlignment)` Creates a Cell Alignment from the supplied XML definition

Method Summary
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment` | `getCTCellAlignment()` Access to low-level data
`org.apache.poi.ss.usermodel.HorizontalAlignment` | `getHorizontal()` Get the type of horizontal alignment for the cell
`long` | `getIndent()` Get the number of spaces to indent the text in the cell
`long` | `getTextRotation()` Get the degree of rotation for the text in the cell Expressed in degrees.
`org.apache.poi.ss.usermodel.VerticalAlignment` | `getVertical()` Get the type of vertical alignment for the cell
`boolean` | `getWrapText()` Whether the text should be wrapped
`void` | `setHorizontal(org.apache.poi.ss.usermodel.HorizontalAlignment align)` Set the type of horizontal alignment for the cell
`void` | `setIndent(long indent)` Set the number of spaces to indent the text in the cell
`void` | `setTextRotation(long rotation)` Set the degree of rotation for the text in the cell Expressed in degrees.
`void` | `setVertical(org.apache.poi.ss.usermodel.VerticalAlignment align)` Set the type of vertical alignment for the cell
`void` | `setWrapText(boolean wrapped)` Set whether the text should be wrapped

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFCellAlignment

    public XSSFCellAlignment(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment cellAlignment)

  Creates a Cell Alignment from the supplied XML definition

  Parameters:
    `cellAlignment` -

Method Detail

### getVertical

    public org.apache.poi.ss.usermodel.VerticalAlignment getVertical()

  Get the type of vertical alignment for the cell

  Returns:
    the type of aligment
  See Also:
    `VerticalAlignment`

### setVertical

    public void setVertical(org.apache.poi.ss.usermodel.VerticalAlignment align)

  Set the type of vertical alignment for the cell

  Parameters:
    `align` - - the type of alignment
  See Also:
    `VerticalAlignment`

### getHorizontal

    public org.apache.poi.ss.usermodel.HorizontalAlignment getHorizontal()

  Get the type of horizontal alignment for the cell

  Returns:
    the type of aligment
  See Also:
    `HorizontalAlignment`

### setHorizontal

    public void setHorizontal(org.apache.poi.ss.usermodel.HorizontalAlignment align)

  Set the type of horizontal alignment for the cell

  Parameters:
    `align` - - the type of alignment
  See Also:
    `HorizontalAlignment`

### getIndent

    public long getIndent()

  Get the number of spaces to indent the text in the cell

  Returns:
    indent - number of spaces

### setIndent

    public void setIndent(long indent)

  Set the number of spaces to indent the text in the cell

  Parameters:
    `indent` - - number of spaces

### getTextRotation

    public long getTextRotation()

  Get the degree of rotation for the text in the cell

  Expressed in degrees. Values range from 0 to 180. The first letter of the text is considered the center-point of the arc.
  For 0 - 90, the value represents degrees above horizon. For 91-180 the degrees below the horizon is calculated as:
  `[degrees below horizon] = 90 - textRotation.`

  Returns:
    rotation degrees (between 0 and 180 degrees)

### setTextRotation

    public void setTextRotation(long rotation)

  Set the degree of rotation for the text in the cell

  Expressed in degrees. Values range from 0 to 180. The first letter of the text is considered the center-point of the arc.
  For 0 - 90, the value represents degrees above horizon. For 91-180 the degrees below the horizon is calculated as:
  `[degrees below horizon] = 90 - textRotation.`

  Parameters:
    `rotation` - - the rotation degrees (between 0 and 180 degrees)

### getWrapText

    public boolean getWrapText()

  Whether the text should be wrapped

  Returns:
    a boolean value indicating if the text in a cell should be line-wrapped within the cell.

### setWrapText

    public void setWrapText(boolean wrapped)

  Set whether the text should be wrapped

  Parameters:
    `wrapped` - a boolean value indicating if the text in a cell should be line-wrapped within the cell.

### getCTCellAlignment

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment getCTCellAlignment()

  Access to low-level data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD